Module | PhusionPassenger::ClassicRailsExtensions::AnalyticsLogging::ConcreteCacheStoreExtension
In: | lib/phusion_passenger/classic_rails_extensions/analytics_logging/as_cache_extension.rb

### Methods

read

### Public Instance methods

read(name, *args)

[Source]

         # File lib/phusion_passenger/classic_rails_extensions/analytics_logging/as_cache_extension.rb, line 115
    115:         def read(name, *args)
    116:                 result = super
    117:                 if !@logger_off
    118:                         if result.nil?
    119:                                 PhusionPassenger.log_cache_miss(nil, name)
    120:                         else
    121:                                 PhusionPassenger.log_cache_hit(nil, name)
    122:                         end
    123:                 end
    124:                 result
    125:         end

[Validate]